<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/accesstoken.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();
$accesstoken = new Accesstoken($db);
$data = json_decode(file_get_contents("php://input"));

$accesstoken->access_token_id = $data->access_token_id;

if(!isEmpty($accesstoken->access_token_id)){
 
if($accesstoken->update_patch($data)){
    http_response_code(200);
	echo json_encode(array("status" => "success", "code" => 1,"message"=> "Updated Successfully","document"=> ""));
}
else{
    http_response_code(503);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to update accesstoken","document"=> ""));
    }
}
else{
    http_response_code(400);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to update accesstoken. Data is incomplete.","document"=> ""));
}
?>
