<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/addons.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();

$addons = new Addons($db);

$data = json_decode(file_get_contents("php://input"));
$addons->addon_id = $data->addon_id;

if(!isEmpty($data->service_id)
&&!isEmpty($data->type)
&&!isEmpty($data->price)
&&!isEmpty($data->status)){

if(!isEmpty($data->service_id)) { 
$addons->service_id = $data->service_id;
} else { 
$addons->service_id = '';
}
if(!isEmpty($data->type)) { 
$addons->type = $data->type;
} else { 
$addons->type = '';
}
if(!isEmpty($data->price)) { 
$addons->price = $data->price;
} else { 
$addons->price = '';
}
if(!isEmpty($data->status)) { 
$addons->status = $data->status;
} else { 
$addons->status = '';
}
if($addons->update()){
    http_response_code(200);
	echo json_encode(array("status" => "success", "code" => 1,"message"=> "Updated Successfully","document"=> ""));
}
else{
    http_response_code(503);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to update addons","document"=> ""));
}
}
else{
    http_response_code(400);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to update addons. Data is incomplete.","document"=> ""));
}
?>
