<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/address.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();
 
$address = new Address($db);
$data = json_decode(file_get_contents("php://input"));

if(!isEmpty($data->user_id)
&&!isEmpty($data->address_name)
&&!isEmpty($data->area)
&&!isEmpty($data->block)
&&!isEmpty($data->road)
&&!isEmpty($data->bldg)
&&!isEmpty($data->extra_details)
&&!isEmpty($data->is_Selected)
&&!isEmpty($data->status)
&&!isEmpty($data->longitude)
&&!isEmpty($data->latitude)){
	
    
if(!isEmpty($data->user_id)) { 
$address->user_id = $data->user_id;
} else { 
$address->user_id = '';
}
if(!isEmpty($data->address_name)) { 
$address->address_name = $data->address_name;
} else { 
$address->address_name = '';
}
if(!isEmpty($data->area)) { 
$address->area = $data->area;
} else { 
$address->area = '';
}
if(!isEmpty($data->block)) { 
$address->block = $data->block;
} else { 
$address->block = '';
}
if(!isEmpty($data->road)) { 
$address->road = $data->road;
} else { 
$address->road = '';
}
if(!isEmpty($data->bldg)) { 
$address->bldg = $data->bldg;
} else { 
$address->bldg = '';
}
if(!isEmpty($data->extra_details)) { 
$address->extra_details = $data->extra_details;
} else { 
$address->extra_details = '';
}
if(!isEmpty($data->is_Selected)) { 
$address->is_Selected = $data->is_Selected;
} else { 
$address->is_Selected = '0';
}
if(!isEmpty($data->status)) { 
$address->status = $data->status;
} else { 
$address->status = '';
}
if(!isEmpty($data->longitude)) { 
$address->longitude = $data->longitude;
} else { 
$address->longitude = '';
}
if(!isEmpty($data->latitude)) { 
$address->latitude = $data->latitude;
} else { 
$address->latitude = '';
}
 	$lastInsertedId=$address->create();
    if($lastInsertedId!=0){
        http_response_code(201);
        echo json_encode(array("status" => "success", "code" => 1,"message"=> "Created Successfully","document"=> $lastInsertedId));
    }
    else{
        http_response_code(503);
		echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to create address","document"=> ""));
    }
}
else{
    http_response_code(400);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to create address. Data is incomplete.","document"=> ""));
}
?>
