<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/address.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();

$address = new Address($db);

$address->address_id = isset($_GET['id']) ? $_GET['id'] : die();
$address->readOne();
 
if($address->address_id!=null){
    $address_arr = array(
        
"address_id" => $address->address_id,
"user_id" => $address->user_id,
"address_name" => $address->address_name,
"area" => $address->area,
"block" => $address->block,
"road" => $address->road,
"bldg" => $address->bldg,
"extra_details" => $address->extra_details,
"is_Selected" => $address->is_Selected,
"status" => $address->status,
"longitude" => $address->longitude,
"latitude" => $address->latitude
    );
    http_response_code(200);
   echo json_encode(array("status" => "success", "code" => 1,"message"=> "address found","document"=> $address_arr));
}
else{
    http_response_code(404);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "address does not exist.","document"=> ""));
}
?>
