<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/appointment.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();
 
$appointment = new Appointment($db);
$data = json_decode(file_get_contents("php://input"));

if(!isEmpty($data->user_id)
&&!isEmpty($data->pet_id)
&&!isEmpty($data->date)
&&!isEmpty($data->start_time)
&&!isEmpty($data->end_time)
&&!isEmpty($data->service_id)
&&!isEmpty($data->added_date)
&&!isEmpty($data->payment_type)
&&!isEmpty($data->status)){
	
    
if(!isEmpty($data->user_id)) { 
$appointment->user_id = $data->user_id;
} else { 
$appointment->user_id = '';
}
if(!isEmpty($data->pet_id)) { 
$appointment->pet_id = $data->pet_id;
} else { 
$appointment->pet_id = '';
}
if(!isEmpty($data->date)) { 
$appointment->date = $data->date;
} else { 
$appointment->date = '';
}
if(!isEmpty($data->start_time)) { 
$appointment->start_time = $data->start_time;
} else { 
$appointment->start_time = '';
}
if(!isEmpty($data->end_time)) { 
$appointment->end_time = $data->end_time;
} else { 
$appointment->end_time = '';
}
if(!isEmpty($data->service_id)) { 
$appointment->service_id = $data->service_id;
} else { 
$appointment->service_id = '';
}
if(!isEmpty($data->added_date)) { 
$appointment->added_date = $data->added_date;
} else { 
$appointment->added_date = 'current_timestamp()';
}
if(!isEmpty($data->payment_type)) { 
$appointment->payment_type = $data->payment_type;
} else { 
$appointment->payment_type = '';
}
if(!isEmpty($data->status)) { 
$appointment->status = $data->status;
} else { 
$appointment->status = '';
}
$appointment->date_deleted = $data->date_deleted;
 	$lastInsertedId=$appointment->create();
    if($lastInsertedId!=0){
        http_response_code(201);
        echo json_encode(array("status" => "success", "code" => 1,"message"=> "Created Successfully","document"=> $lastInsertedId));
    }
    else{
        http_response_code(503);
		echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to create appointment","document"=> ""));
    }
}
else{
    http_response_code(400);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to create appointment. Data is incomplete.","document"=> ""));
}
?>
