<?php
include_once '../config/header.php';
include_once '../config/database.php';
include_once '../objects/banner.php';
include_once '../token/validatetoken.php';
$database = new Database();
$db = $database->getConnection();
 
$banner = new Banner($db);

$banner->pageNo = isset($_GET['pageno']) ? $_GET['pageno'] : 1;
$banner->no_of_records_per_page = isset($_GET['pagesize']) ? $_GET['pagesize'] : 30;

$stmt = $banner->read();
$num = $stmt->rowCount();
if($num>0){
    $banner_arr=array();
	$banner_arr["pageno"]=$banner->pageNo;
	$banner_arr["pagesize"]=$banner->no_of_records_per_page;
    $banner_arr["total_count"]=$banner->total_record_count();
    $banner_arr["records"]=array();
    
    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
        extract($row);
 
        $banner_item=array(
            
"banner_id" => $banner_id,
"service_name" => $service_name,
"service_id" => $service_id,
"type" => $type,
"banner_image" => $banner_image,
"added_date" => $added_date,
"start_date" => $start_date,
"end_date" => $end_date,
"banner_status" => $banner_status,
"date_deleted" => $date_deleted
        );
         array_push($banner_arr["records"], $banner_item);
    }
    http_response_code(200);
	echo json_encode(array("status" => "success", "code" => 1,"message"=> "banner found","document"=> $banner_arr));
}else{
    http_response_code(404);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "No banner found.","document"=> ""));
}
 


