<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/banner.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();

$banner = new Banner($db);

$data = json_decode(file_get_contents("php://input"));
$banner->banner_id = $data->banner_id;

if(!isEmpty($data->service_id)
&&!isEmpty($data->type)
&&!isEmpty($data->banner_image)
&&!isEmpty($data->added_date)
&&!isEmpty($data->start_date)
&&!isEmpty($data->end_date)
&&!isEmpty($data->banner_status)){

if(!isEmpty($data->service_id)) { 
$banner->service_id = $data->service_id;
} else { 
$banner->service_id = '';
}
if(!isEmpty($data->type)) { 
$banner->type = $data->type;
} else { 
$banner->type = '';
}
if(!isEmpty($data->banner_image)) { 
$banner->banner_image = $data->banner_image;
} else { 
$banner->banner_image = '';
}
if(!isEmpty($data->added_date)) { 
$banner->added_date = $data->added_date;
} else { 
$banner->added_date = 'current_timestamp()';
}
if(!isEmpty($data->start_date)) { 
$banner->start_date = $data->start_date;
} else { 
$banner->start_date = '';
}
if(!isEmpty($data->end_date)) { 
$banner->end_date = $data->end_date;
} else { 
$banner->end_date = '';
}
if(!isEmpty($data->banner_status)) { 
$banner->banner_status = $data->banner_status;
} else { 
$banner->banner_status = '';
}
$banner->date_deleted = $data->date_deleted;
if($banner->update()){
    http_response_code(200);
	echo json_encode(array("status" => "success", "code" => 1,"message"=> "Updated Successfully","document"=> ""));
}
else{
    http_response_code(503);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to update banner","document"=> ""));
}
}
else{
    http_response_code(400);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to update banner. Data is incomplete.","document"=> ""));
}
?>
