<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/cart.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();
 
$cart = new Cart($db);
$data = json_decode(file_get_contents("php://input"));

if(!isEmpty($data->user_id)
&&!isEmpty($data->product_id)
&&!isEmpty($data->total_price)
&&!isEmpty($data->price)
&&!isEmpty($data->quantity)){
	
    
if(!isEmpty($data->user_id)) { 
$cart->user_id = $data->user_id;
} else { 
$cart->user_id = '';
}
if(!isEmpty($data->product_id)) { 
$cart->product_id = $data->product_id;
} else { 
$cart->product_id = '';
}
if(!isEmpty($data->total_price)) { 
$cart->total_price = $data->total_price;
} else { 
$cart->total_price = '';
}
if(!isEmpty($data->price)) { 
$cart->price = $data->price;
} else { 
$cart->price = '';
}
if(!isEmpty($data->quantity)) { 
$cart->quantity = $data->quantity;
} else { 
$cart->quantity = '';
}
 	$lastInsertedId=$cart->create();
    if($lastInsertedId!=0){
        http_response_code(201);
        echo json_encode(array("status" => "success", "code" => 1,"message"=> "Created Successfully","document"=> $lastInsertedId));
    }
    else{
        http_response_code(503);
		echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to create cart","document"=> ""));
    }
}
else{
    http_response_code(400);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to create cart. Data is incomplete.","document"=> ""));
}
?>
