<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/cart.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();

$cart = new Cart($db);

$cart->cart_id = isset($_GET['id']) ? $_GET['id'] : die();
$cart->readOne();
 
if($cart->cart_id!=null){
    $cart_arr = array(
        
"cart_id" => $cart->cart_id,
"first_name" => $cart->first_name,
"user_id" => $cart->user_id,
"service_name" => $cart->service_name,
"product_id" => $cart->product_id,
"total_price" => $cart->total_price,
"price" => $cart->price,
"quantity" => $cart->quantity
    );
    http_response_code(200);
   echo json_encode(array("status" => "success", "code" => 1,"message"=> "cart found","document"=> $cart_arr));
}
else{
    http_response_code(404);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "cart does not exist.","document"=> ""));
}
?>
