<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/category.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();

$category = new Category($db);

$data = json_decode(file_get_contents("php://input"));
$category->category_id = $data->category_id;

if(!isEmpty($data->icon)
&&!isEmpty($data->category_name)
&&!isEmpty($data->category_type)){

if(!isEmpty($data->icon)) { 
$category->icon = $data->icon;
} else { 
$category->icon = '';
}
if(!isEmpty($data->category_name)) { 
$category->category_name = $data->category_name;
} else { 
$category->category_name = '';
}
if(!isEmpty($data->category_type)) { 
$category->category_type = $data->category_type;
} else { 
$category->category_type = '';
}
if($category->update()){
    http_response_code(200);
	echo json_encode(array("status" => "success", "code" => 1,"message"=> "Updated Successfully","document"=> ""));
}
else{
    http_response_code(503);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to update category","document"=> ""));
}
}
else{
    http_response_code(400);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to update category. Data is incomplete.","document"=> ""));
}
?>
