<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/favorites.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();

$favorites = new Favorites($db);

$data = json_decode(file_get_contents("php://input"));
$favorites->favorite_id = $data->favorite_id;

if(!isEmpty($data->user_id)
&&!isEmpty($data->product_id)){

if(!isEmpty($data->user_id)) { 
$favorites->user_id = $data->user_id;
} else { 
$favorites->user_id = '';
}
if(!isEmpty($data->product_id)) { 
$favorites->product_id = $data->product_id;
} else { 
$favorites->product_id = '';
}
if($favorites->update()){
    http_response_code(200);
	echo json_encode(array("status" => "success", "code" => 1,"message"=> "Updated Successfully","document"=> ""));
}
else{
    http_response_code(503);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to update favorites","document"=> ""));
}
}
else{
    http_response_code(400);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to update favorites. Data is incomplete.","document"=> ""));
}
?>
