<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/influencers.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();

$influencers = new Influencers($db);

$influencers->influencer_id = isset($_GET['id']) ? $_GET['id'] : die();
$influencers->readOne();
 
if($influencers->influencer_id!=null){
    $influencers_arr = array(
        
"influencer_id" => $influencers->influencer_id,
"first_name" => $influencers->first_name,
"last_name" => $influencers->last_name,
"description" => $influencers->description,
"image" => $influencers->image,
"influencer_category_id" => $influencers->influencer_category_id,
"status" => $influencers->status
    );
    http_response_code(200);
   echo json_encode(array("status" => "success", "code" => 1,"message"=> "influencers found","document"=> $influencers_arr));
}
else{
    http_response_code(404);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "influencers does not exist.","document"=> ""));
}
?>
