<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/influencers.php';
include_once '../token/validatetoken.php';
$database = new Database();
$db = $database->getConnection();

$influencers = new Influencers($db);

$data = json_decode(file_get_contents("php://input"));
$orAnd = isset($_GET['orAnd']) ? $_GET['orAnd'] : "OR";

$influencers->pageNo = isset($_GET['pageno']) ? $_GET['pageno'] : 1;
$influencers->no_of_records_per_page = isset($_GET['pagesize']) ? $_GET['pagesize'] : 30;

$stmt = $influencers->searchByColumn($data,$orAnd);

$num = $stmt->rowCount();
if($num>0){
    $influencers_arr=array();
	$influencers_arr["pageno"]=$influencers->pageNo;
	$influencers_arr["pagesize"]=$influencers->no_of_records_per_page;
    $influencers_arr["total_count"]=$influencers->search_record_count($data,$orAnd);
    $influencers_arr["records"]=array();
    
    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
        extract($row);
 
        $influencers_item=array(
            
"influencer_id" => $influencer_id,
"first_name" => $first_name,
"last_name" => $last_name,
"description" => $description,
"image" => $image,
"influencer_category_id" => $influencer_category_id,
"status" => $status
        );
 
        array_push($influencers_arr["records"], $influencers_item);
    }
    http_response_code(200);
	echo json_encode(array("status" => "success", "code" => 1,"message"=> "influencers found","document"=> $influencers_arr));
    
}else{
    http_response_code(404);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "No influencers found.","document"=> ""));
}
 


