<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/influencers_category.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();

$influencers_category = new Influencers_Category($db);

$influencers_category->influencer_category_id = isset($_GET['id']) ? $_GET['id'] : die();
$influencers_category->readOne();
 
if($influencers_category->influencer_category_id!=null){
    $influencers_category_arr = array(
        
"influencer_category_id" => $influencers_category->influencer_category_id,
"category_name" => $influencers_category->category_name,
"status" => $influencers_category->status
    );
    http_response_code(200);
   echo json_encode(array("status" => "success", "code" => 1,"message"=> "influencers_category found","document"=> $influencers_category_arr));
}
else{
    http_response_code(404);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "influencers_category does not exist.","document"=> ""));
}
?>
