<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/influencers_category.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();

$influencers_category = new Influencers_Category($db);

$data = json_decode(file_get_contents("php://input"));
$influencers_category->influencer_category_id = $data->influencer_category_id;

if(!isEmpty($data->category_name)
&&!isEmpty($data->status)){

if(!isEmpty($data->category_name)) { 
$influencers_category->category_name = $data->category_name;
} else { 
$influencers_category->category_name = '';
}
if(!isEmpty($data->status)) { 
$influencers_category->status = $data->status;
} else { 
$influencers_category->status = '';
}
if($influencers_category->update()){
    http_response_code(200);
	echo json_encode(array("status" => "success", "code" => 1,"message"=> "Updated Successfully","document"=> ""));
}
else{
    http_response_code(503);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to update influencers_category","document"=> ""));
}
}
else{
    http_response_code(400);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to update influencers_category. Data is incomplete.","document"=> ""));
}
?>
