<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/influencers_products.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();
 
$influencers_products = new Influencers_Products($db);
$data = json_decode(file_get_contents("php://input"));

if(!isEmpty($data->influencer_id)
&&!isEmpty($data->product_id)
&&!isEmpty($data->product_stock)
&&!isEmpty($data->status)){
	
    
if(!isEmpty($data->influencer_id)) { 
$influencers_products->influencer_id = $data->influencer_id;
} else { 
$influencers_products->influencer_id = '';
}
if(!isEmpty($data->product_id)) { 
$influencers_products->product_id = $data->product_id;
} else { 
$influencers_products->product_id = '';
}
if(!isEmpty($data->product_stock)) { 
$influencers_products->product_stock = $data->product_stock;
} else { 
$influencers_products->product_stock = '';
}
if(!isEmpty($data->status)) { 
$influencers_products->status = $data->status;
} else { 
$influencers_products->status = '';
}
 	$lastInsertedId=$influencers_products->create();
    if($lastInsertedId!=0){
        http_response_code(201);
        echo json_encode(array("status" => "success", "code" => 1,"message"=> "Created Successfully","document"=> $lastInsertedId));
    }
    else{
        http_response_code(503);
		echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to create influencers_products","document"=> ""));
    }
}
else{
    http_response_code(400);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to create influencers_products. Data is incomplete.","document"=> ""));
}
?>
