<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/loginsession.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();

$loginsession = new Loginsession($db);

$loginsession->pageNo = isset($_GET['pageno']) ? $_GET['pageno'] : 1;
$loginsession->no_of_records_per_page = isset($_GET['pagesize']) ? $_GET['pagesize'] : 30;
$loginsession->user_id = isset($_GET['user_id']) ? $_GET['user_id'] : die();

$stmt = $loginsession->readByuser_id();
$num = $stmt->rowCount();

if($num>0){
    $loginsession_arr=array();
	$loginsession_arr["pageno"]=$loginsession->pageNo;
	$loginsession_arr["pagesize"]=$loginsession->no_of_records_per_page;
    $loginsession_arr["total_count"]=$loginsession->total_record_count();
    $loginsession_arr["records"]=array();
    
    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
        extract($row);
 
        $loginsession_item=array(
            
"session_id" => $session_id,
"login_date" => $login_date,
"first_name" => $first_name,
"user_id" => $user_id
        );
        array_push($loginsession_arr["records"], $loginsession_item);
    }
    http_response_code(200);
	echo json_encode(array("status" => "success", "code" => 1,"message"=> "loginsession found","document"=> $loginsession_arr));
    
}else{
    http_response_code(404);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "No loginsession found.","document"=> ""));
}
 


