<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/loginsession.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();

$loginsession = new Loginsession($db);

$loginsession->session_id = isset($_GET['id']) ? $_GET['id'] : die();
$loginsession->readOne();
 
if($loginsession->session_id!=null){
    $loginsession_arr = array(
        
"session_id" => $loginsession->session_id,
"login_date" => $loginsession->login_date,
"first_name" => $loginsession->first_name,
"user_id" => $loginsession->user_id
    );
    http_response_code(200);
   echo json_encode(array("status" => "success", "code" => 1,"message"=> "loginsession found","document"=> $loginsession_arr));
}
else{
    http_response_code(404);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "loginsession does not exist.","document"=> ""));
}
?>
