<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/notifications.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();
 
$notifications = new Notifications($db);
$data = json_decode(file_get_contents("php://input"));

if(!isEmpty($data->user_id)
&&!isEmpty($data->tokens)
&&!isEmpty($data->notification_title)
&&!isEmpty($data->notification_body)
&&!isEmpty($data->created_at)){
	
    
if(!isEmpty($data->user_id)) { 
$notifications->user_id = $data->user_id;
} else { 
$notifications->user_id = '';
}
if(!isEmpty($data->tokens)) { 
$notifications->tokens = $data->tokens;
} else { 
$notifications->tokens = '';
}
if(!isEmpty($data->notification_title)) { 
$notifications->notification_title = $data->notification_title;
} else { 
$notifications->notification_title = '';
}
if(!isEmpty($data->notification_body)) { 
$notifications->notification_body = $data->notification_body;
} else { 
$notifications->notification_body = '';
}
if(!isEmpty($data->created_at)) { 
$notifications->created_at = $data->created_at;
} else { 
$notifications->created_at = 'current_timestamp()';
}
 	$lastInsertedId=$notifications->create();
    if($lastInsertedId!=0){
        http_response_code(201);
        echo json_encode(array("status" => "success", "code" => 1,"message"=> "Created Successfully","document"=> $lastInsertedId));
    }
    else{
        http_response_code(503);
		echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to create notifications","document"=> ""));
    }
}
else{
    http_response_code(400);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to create notifications. Data is incomplete.","document"=> ""));
}
?>
