<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/notifications.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();

$notifications = new Notifications($db);

$notifications->notification_id = isset($_GET['id']) ? $_GET['id'] : die();
$notifications->readOne();
 
if($notifications->notification_id!=null){
    $notifications_arr = array(
        
"notification_id" => $notifications->notification_id,
"user_id" => $notifications->user_id,
"tokens" => $notifications->tokens,
"notification_title" => $notifications->notification_title,
"notification_body" => $notifications->notification_body,
"created_at" => $notifications->created_at
    );
    http_response_code(200);
   echo json_encode(array("status" => "success", "code" => 1,"message"=> "notifications found","document"=> $notifications_arr));
}
else{
    http_response_code(404);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "notifications does not exist.","document"=> ""));
}
?>
