<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/order_details.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();

$order_details = new Order_Details($db);

$order_details->order_details_id = isset($_GET['id']) ? $_GET['id'] : die();
$order_details->readOne();
 
if($order_details->order_details_id!=null){
    $order_details_arr = array(
        
"order_details_id" => $order_details->order_details_id,
"order_id" => $order_details->order_id,
"product_id" => $order_details->product_id,
"quantity" => $order_details->quantity,
"unit_price" => $order_details->unit_price
    );
    http_response_code(200);
   echo json_encode(array("status" => "success", "code" => 1,"message"=> "order_details found","document"=> $order_details_arr));
}
else{
    http_response_code(404);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "order_details does not exist.","document"=> ""));
}
?>
