<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/order_details.php';
include_once '../token/validatetoken.php';
$database = new Database();
$db = $database->getConnection();

$order_details = new Order_Details($db);

$data = json_decode(file_get_contents("php://input"));
$orAnd = isset($_GET['orAnd']) ? $_GET['orAnd'] : "OR";

$order_details->pageNo = isset($_GET['pageno']) ? $_GET['pageno'] : 1;
$order_details->no_of_records_per_page = isset($_GET['pagesize']) ? $_GET['pagesize'] : 30;

$stmt = $order_details->searchByColumn($data,$orAnd);

$num = $stmt->rowCount();
if($num>0){
    $order_details_arr=array();
	$order_details_arr["pageno"]=$order_details->pageNo;
	$order_details_arr["pagesize"]=$order_details->no_of_records_per_page;
    $order_details_arr["total_count"]=$order_details->search_record_count($data,$orAnd);
    $order_details_arr["records"]=array();
    
    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
        extract($row);
 
        $order_details_item=array(
            
"order_details_id" => $order_details_id,
"order_id" => $order_id,
"product_id" => $product_id,
"quantity" => $quantity,
"unit_price" => $unit_price
        );
 
        array_push($order_details_arr["records"], $order_details_item);
    }
    http_response_code(200);
	echo json_encode(array("status" => "success", "code" => 1,"message"=> "order_details found","document"=> $order_details_arr));
    
}else{
    http_response_code(404);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "No order_details found.","document"=> ""));
}
 


