<?php
include_once '../config/header.php';
include_once '../config/database.php';
include_once '../objects/orders.php';
include_once '../token/validatetoken.php';
$database = new Database();
$db = $database->getConnection();
 
$orders = new Orders($db);

$orders->pageNo = isset($_GET['pageno']) ? $_GET['pageno'] : 1;
$orders->no_of_records_per_page = isset($_GET['pagesize']) ? $_GET['pagesize'] : 30;

$stmt = $orders->read();
$num = $stmt->rowCount();
if($num>0){
    $orders_arr=array();
	$orders_arr["pageno"]=$orders->pageNo;
	$orders_arr["pagesize"]=$orders->no_of_records_per_page;
    $orders_arr["total_count"]=$orders->total_record_count();
    $orders_arr["records"]=array();
    
    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
        extract($row);
 
        $orders_item=array(
            
"order_id" => $order_id,
"user_id" => $user_id,
"order_type" => $order_type,
"order_date" => $order_date,
"shipping_date" => $shipping_date,
"order_status" => $order_status,
"total_price" => $total_price,
"payment_type" => $payment_type,
"address_id" => $address_id
        );
         array_push($orders_arr["records"], $orders_item);
    }
    http_response_code(200);
	echo json_encode(array("status" => "success", "code" => 1,"message"=> "orders found","document"=> $orders_arr));
}else{
    http_response_code(404);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "No orders found.","document"=> ""));
}
 


