<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/orders.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();

$orders = new Orders($db);

$data = json_decode(file_get_contents("php://input"));
$orders->order_id = $data->order_id;

if(!isEmpty($data->user_id)
&&!isEmpty($data->order_type)
&&!isEmpty($data->order_date)
&&!isEmpty($data->order_status)
&&!isEmpty($data->total_price)
&&!isEmpty($data->payment_type)
&&!isEmpty($data->address_id)){

if(!isEmpty($data->user_id)) { 
$orders->user_id = $data->user_id;
} else { 
$orders->user_id = '';
}
if(!isEmpty($data->order_type)) { 
$orders->order_type = $data->order_type;
} else { 
$orders->order_type = '';
}
if(!isEmpty($data->order_date)) { 
$orders->order_date = $data->order_date;
} else { 
$orders->order_date = 'current_timestamp()';
}
$orders->shipping_date = $data->shipping_date;
if(!isEmpty($data->order_status)) { 
$orders->order_status = $data->order_status;
} else { 
$orders->order_status = '';
}
if(!isEmpty($data->total_price)) { 
$orders->total_price = $data->total_price;
} else { 
$orders->total_price = '';
}
if(!isEmpty($data->payment_type)) { 
$orders->payment_type = $data->payment_type;
} else { 
$orders->payment_type = '';
}
if(!isEmpty($data->address_id)) { 
$orders->address_id = $data->address_id;
} else { 
$orders->address_id = '';
}
if($orders->update()){
    http_response_code(200);
	echo json_encode(array("status" => "success", "code" => 1,"message"=> "Updated Successfully","document"=> ""));
}
else{
    http_response_code(503);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to update orders","document"=> ""));
}
}
else{
    http_response_code(400);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to update orders. Data is incomplete.","document"=> ""));
}
?>
