<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/pdftest.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();
 
$pdftest = new Pdftest($db);
$data = json_decode(file_get_contents("php://input"));

if(!isEmpty($data->pdf_id)
&&!isEmpty($data->pdf)
&&!isEmpty($data->date_added)){
	
    
if(!isEmpty($data->pdf_id)) { 
$pdftest->pdf_id = $data->pdf_id;
} else { 
$pdftest->pdf_id = '';
}
if(!isEmpty($data->pdf)) { 
$pdftest->pdf = $data->pdf;
} else { 
$pdftest->pdf = '';
}
if(!isEmpty($data->date_added)) { 
$pdftest->date_added = $data->date_added;
} else { 
$pdftest->date_added = 'current_timestamp()';
}
 	$lastInsertedId=$pdftest->create();
    if($lastInsertedId!=0){
        http_response_code(201);
        echo json_encode(array("status" => "success", "code" => 1,"message"=> "Created Successfully","document"=> $lastInsertedId));
    }
    else{
        http_response_code(503);
		echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to create pdftest","document"=> ""));
    }
}
else{
    http_response_code(400);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to create pdftest. Data is incomplete.","document"=> ""));
}
?>
