<?php
include_once '../config/header.php';
include_once '../config/database.php';
include_once '../objects/pdftest.php';
include_once '../token/validatetoken.php';
$database = new Database();
$db = $database->getConnection();
 
$pdftest = new Pdftest($db);

$pdftest->pageNo = isset($_GET['pageno']) ? $_GET['pageno'] : 1;
$pdftest->no_of_records_per_page = isset($_GET['pagesize']) ? $_GET['pagesize'] : 30;

$stmt = $pdftest->read();
$num = $stmt->rowCount();
if($num>0){
    $pdftest_arr=array();
	$pdftest_arr["pageno"]=$pdftest->pageNo;
	$pdftest_arr["pagesize"]=$pdftest->no_of_records_per_page;
    $pdftest_arr["total_count"]=$pdftest->total_record_count();
    $pdftest_arr["records"]=array();
    
    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
        extract($row);
 
        $pdftest_item=array(
            
"pdf_id" => $pdf_id,
"pdf" => $pdf,
"date_added" => $date_added
        );
         array_push($pdftest_arr["records"], $pdftest_item);
    }
    http_response_code(200);
	echo json_encode(array("status" => "success", "code" => 1,"message"=> "pdftest found","document"=> $pdftest_arr));
}else{
    http_response_code(404);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "No pdftest found.","document"=> ""));
}
 


