<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/pdftest.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();
$pdftest = new Pdftest($db);
$data = json_decode(file_get_contents("php://input"));

$pdftest->pdf_id = $data->pdf_id;

if(!isEmpty($pdftest->pdf_id)){
 
if($pdftest->update_patch($data)){
    http_response_code(200);
	echo json_encode(array("status" => "success", "code" => 1,"message"=> "Updated Successfully","document"=> ""));
}
else{
    http_response_code(503);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to update pdftest","document"=> ""));
    }
}
else{
    http_response_code(400);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to update pdftest. Data is incomplete.","document"=> ""));
}
?>
