<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/products.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();

$products = new Products($db);

$products->product_id = isset($_GET['id']) ? $_GET['id'] : die();
$products->readOne();
 
if($products->product_id!=null){
    $products_arr = array(
        
"product_id" => $products->product_id,
"sub_category_id" => $products->sub_category_id,
"product_name" => $products->product_name,
"description" => $products->description,
"price" => $products->price,
"image" => $products->image,
"stock" => $products->stock,
"status" => $products->status
    );
    http_response_code(200);
   echo json_encode(array("status" => "success", "code" => 1,"message"=> "products found","document"=> $products_arr));
}
else{
    http_response_code(404);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "products does not exist.","document"=> ""));
}
?>
