<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/sub_category.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();

$sub_category = new Sub_Category($db);

$data = json_decode(file_get_contents("php://input"));
$sub_category->sub_category_id = $data->sub_category_id;

if(!isEmpty($data->category_id)
&&!isEmpty($data->category_name)){

if(!isEmpty($data->category_id)) { 
$sub_category->category_id = $data->category_id;
} else { 
$sub_category->category_id = '';
}
if(!isEmpty($data->category_name)) { 
$sub_category->category_name = $data->category_name;
} else { 
$sub_category->category_name = '';
}
if($sub_category->update()){
    http_response_code(200);
	echo json_encode(array("status" => "success", "code" => 1,"message"=> "Updated Successfully","document"=> ""));
}
else{
    http_response_code(503);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to update sub_category","document"=> ""));
}
}
else{
    http_response_code(400);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to update sub_category. Data is incomplete.","document"=> ""));
}
?>
