<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/users_device_token.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();

$users_device_token = new UsersDeviceToken($db);

$data = json_decode(file_get_contents("php://input"));

$users_device_token->user_device_token_id = $data->user_device_token_id;


if($users_device_token->delete()){
    http_response_code(200);
	echo json_encode(array("status" => "success", "code" => 1,"message"=> "UsersDeviceToken was deleted","document"=> ""));
}
else{
    http_response_code(400);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to delete users_device_token.","document"=> ""));
}
?>
