<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/users_device_token.php';
include_once '../token/validatetoken.php';
$database = new Database();
$db = $database->getConnection();

$users_device_token = new Users_Device_Token($db);

$data = json_decode(file_get_contents("php://input"));
$orAnd = isset($_GET['orAnd']) ? $_GET['orAnd'] : "OR";

$users_device_token->pageNo = isset($_GET['pageno']) ? $_GET['pageno'] : 1;
$users_device_token->no_of_records_per_page = isset($_GET['pagesize']) ? $_GET['pagesize'] : 30;

$stmt = $users_device_token->searchByColumn($data,$orAnd);

$num = $stmt->rowCount();
if($num>0){
    $users_device_token_arr=array();
	$users_device_token_arr["pageno"]=$users_device_token->pageNo;
	$users_device_token_arr["pagesize"]=$users_device_token->no_of_records_per_page;
    $users_device_token_arr["total_count"]=$users_device_token->search_record_count($data,$orAnd);
    $users_device_token_arr["records"]=array();
    
    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
        extract($row);
 
        $users_device_token_item=array(
            
"user_device_token_id" => $user_device_token_id,
"user_id" => $user_id,
"device_token" => $device_token,
"device_platform" => $device_platform,
"created_at" => $created_at
        );
 
        array_push($users_device_token_arr["records"], $users_device_token_item);
    }
    http_response_code(200);
	echo json_encode(array("status" => "success", "code" => 1,"message"=> "users_device_token found","document"=> $users_device_token_arr));
    
}else{
    http_response_code(404);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "No users_device_token found.","document"=> ""));
}
 


