<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/users_device_token.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();
$users_device_token = new Users_Device_Token($db);
$data = json_decode(file_get_contents("php://input"));

$users_device_token->user_device_token_id = $data->user_device_token_id;

if(!isEmpty($users_device_token->user_device_token_id)){
 
if($users_device_token->update_patch($data)){
    http_response_code(200);
	echo json_encode(array("status" => "success", "code" => 1,"message"=> "Updated Successfully","document"=> ""));
}
else{
    http_response_code(503);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to update users_device_token","document"=> ""));
    }
}
else{
    http_response_code(400);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to update users_device_token. Data is incomplete.","document"=> ""));
}
?>
