<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/accesstoken.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();
 
$accesstoken = new Accesstoken($db);
$data = json_decode(file_get_contents("php://input"));

if(!isEmpty($data->access_token)
&&!isEmpty($data->user_id)){
	
    
if(!isEmpty($data->access_token)) { 
$accesstoken->access_token = $data->access_token;
} else { 
$accesstoken->access_token = '';
}
if(!isEmpty($data->user_id)) { 
$accesstoken->user_id = $data->user_id;
} else { 
$accesstoken->user_id = '';
}
 	$lastInsertedId=$accesstoken->create();
    if($lastInsertedId!=0){
        http_response_code(201);
        echo json_encode(array("status" => "success", "code" => 1,"message"=> "Created Successfully","document"=> $lastInsertedId));
    }
    else{
        http_response_code(503);
		echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to create accesstoken","document"=> ""));
    }
}
else{
    http_response_code(400);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to create accesstoken. Data is incomplete.","document"=> ""));
}
?>
