<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/accesstoken.php';
include_once '../token/validatetoken.php';
$database = new Database();
$db = $database->getConnection();

$accesstoken = new Accesstoken($db);

$data = json_decode(file_get_contents("php://input"));
$orAnd = isset($_GET['orAnd']) ? $_GET['orAnd'] : "OR";

$accesstoken->pageNo = isset($_GET['pageno']) ? $_GET['pageno'] : 1;
$accesstoken->no_of_records_per_page = isset($_GET['pagesize']) ? $_GET['pagesize'] : 30;

$stmt = $accesstoken->searchByColumn($data,$orAnd);

$num = $stmt->rowCount();
if($num>0){
    $accesstoken_arr=array();
	$accesstoken_arr["pageno"]=$accesstoken->pageNo;
	$accesstoken_arr["pagesize"]=$accesstoken->no_of_records_per_page;
    $accesstoken_arr["total_count"]=$accesstoken->search_record_count($data,$orAnd);
    $accesstoken_arr["records"]=array();
    
    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
        extract($row);
 
        $accesstoken_item=array(
            
"access_token_id" => $access_token_id,
"access_token" => $access_token,
"first_name" => $first_name,
"user_id" => $user_id
        );
 
        array_push($accesstoken_arr["records"], $accesstoken_item);
    }
    http_response_code(200);
	echo json_encode(array("status" => "success", "code" => 1,"message"=> "accesstoken found","document"=> $accesstoken_arr));
    
}else{
    http_response_code(404);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "No accesstoken found.","document"=> ""));
}
 


