<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/animals.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();
 
$animals = new Animals($db);
$data = json_decode(file_get_contents("php://input"));

if(!isEmpty($data->animal_type)){
	
    
if(!isEmpty($data->animal_type)) { 
$animals->animal_type = $data->animal_type;
} else { 
$animals->animal_type = '';
}
 	$lastInsertedId=$animals->create();
    if($lastInsertedId!=0){
        http_response_code(201);
        echo json_encode(array("status" => "success", "code" => 1,"message"=> "Created Successfully","document"=> $lastInsertedId));
    }
    else{
        http_response_code(503);
		echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to create animals","document"=> ""));
    }
}
else{
    http_response_code(400);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to create animals. Data is incomplete.","document"=> ""));
}
?>
