<?php
include_once '../config/header.php';
include_once '../config/database.php';
include_once '../objects/appointment.php';
include_once '../token/validatetoken.php';
$database = new Database();
$db = $database->getConnection();
 
$appointment = new Appointment($db);

$appointment->pageNo = isset($_GET['pageno']) ? $_GET['pageno'] : 1;
$appointment->no_of_records_per_page = isset($_GET['pagesize']) ? $_GET['pagesize'] : 30;

$stmt = $appointment->read();
$num = $stmt->rowCount();
if($num>0){
    $appointment_arr=array();
	$appointment_arr["pageno"]=$appointment->pageNo;
	$appointment_arr["pagesize"]=$appointment->no_of_records_per_page;
    $appointment_arr["total_count"]=$appointment->total_record_count();
    $appointment_arr["records"]=array();
    
    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
        extract($row);
 
        $appointment_item=array(
            
"appointment_id" => $appointment_id,
"first_name" => $first_name,
"user_id" => $user_id,
"pet_id" => $pet_id,
"date" => $date,
"start_time" => $start_time,
"end_time" => $end_time,
"service_id" => $service_id,
"added_date" => $added_date,
"payment_type" => $payment_type,
"status" => $status,
"date_deleted" => $date_deleted
        );
         array_push($appointment_arr["records"], $appointment_item);
    }
    http_response_code(200);
	echo json_encode(array("status" => "success", "code" => 1,"message"=> "appointment found","document"=> $appointment_arr));
}else{
    http_response_code(404);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "No appointment found.","document"=> ""));
}
 


