<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/appointment.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();

$appointment = new Appointment($db);

$appointment->appointment_id = isset($_GET['id']) ? $_GET['id'] : die();
$appointment->readOne();
 
if($appointment->appointment_id!=null){
    $appointment_arr = array(
        
"appointment_id" => $appointment->appointment_id,
"first_name" => $appointment->first_name,
"user_id" => $appointment->user_id,
"pet_id" => $appointment->pet_id,
"date" => $appointment->date,
"start_time" => $appointment->start_time,
"end_time" => $appointment->end_time,
"service_id" => $appointment->service_id,
"added_date" => $appointment->added_date,
"payment_type" => $appointment->payment_type,
"status" => $appointment->status,
"date_deleted" => $appointment->date_deleted
    );
    http_response_code(200);
   echo json_encode(array("status" => "success", "code" => 1,"message"=> "appointment found","document"=> $appointment_arr));
}
else{
    http_response_code(404);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "appointment does not exist.","document"=> ""));
}
?>
