<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/banner.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();

$banner = new Banner($db);

$banner->banner_id = isset($_GET['id']) ? $_GET['id'] : die();
$banner->readOne();
 
if($banner->banner_id!=null){
    $banner_arr = array(
        
"banner_id" => $banner->banner_id,
"service_name" => $banner->service_name,
"service_id" => $banner->service_id,
"type" => $banner->type,
"banner_image" => $banner->banner_image,
"added_date" => $banner->added_date,
"start_date" => $banner->start_date,
"end_date" => $banner->end_date,
"banner_status" => $banner->banner_status,
"date_deleted" => $banner->date_deleted
    );
    http_response_code(200);
   echo json_encode(array("status" => "success", "code" => 1,"message"=> "banner found","document"=> $banner_arr));
}
else{
    http_response_code(404);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "banner does not exist.","document"=> ""));
}
?>
