<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/breeds.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();
 
$breeds = new Breeds($db);
$data = json_decode(file_get_contents("php://input"));

if(!isEmpty($data->breed_type)
&&!isEmpty($data->animal_id)){
	
    
if(!isEmpty($data->breed_type)) { 
$breeds->breed_type = $data->breed_type;
} else { 
$breeds->breed_type = '';
}
if(!isEmpty($data->animal_id)) { 
$breeds->animal_id = $data->animal_id;
} else { 
$breeds->animal_id = '';
}
 	$lastInsertedId=$breeds->create();
    if($lastInsertedId!=0){
        http_response_code(201);
        echo json_encode(array("status" => "success", "code" => 1,"message"=> "Created Successfully","document"=> $lastInsertedId));
    }
    else{
        http_response_code(503);
		echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to create breeds","document"=> ""));
    }
}
else{
    http_response_code(400);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to create breeds. Data is incomplete.","document"=> ""));
}
?>
