<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/breeds.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();

$breeds = new Breeds($db);

$breeds->breed_id = isset($_GET['id']) ? $_GET['id'] : die();
$breeds->readOne();
 
if($breeds->breed_id!=null){
    $breeds_arr = array(
        
"breed_id" => $breeds->breed_id,
"breed_type" => $breeds->breed_type,
"animal_type" => $breeds->animal_type,
"animal_id" => $breeds->animal_id
    );
    http_response_code(200);
   echo json_encode(array("status" => "success", "code" => 1,"message"=> "breeds found","document"=> $breeds_arr));
}
else{
    http_response_code(404);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "breeds does not exist.","document"=> ""));
}
?>
