<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/favorites.php';
include_once '../token/validatetoken.php';
$database = new Database();
$db = $database->getConnection();

$favorites = new Favorites($db);

$data = json_decode(file_get_contents("php://input"));
$orAnd = isset($_GET['orAnd']) ? $_GET['orAnd'] : "OR";

$favorites->pageNo = isset($_GET['pageno']) ? $_GET['pageno'] : 1;
$favorites->no_of_records_per_page = isset($_GET['pagesize']) ? $_GET['pagesize'] : 30;

$stmt = $favorites->searchByColumn($data,$orAnd);

$num = $stmt->rowCount();
if($num>0){
    $favorites_arr=array();
	$favorites_arr["pageno"]=$favorites->pageNo;
	$favorites_arr["pagesize"]=$favorites->no_of_records_per_page;
    $favorites_arr["total_count"]=$favorites->search_record_count($data,$orAnd);
    $favorites_arr["records"]=array();
    
    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
        extract($row);
 
        $favorites_item=array(
            
"favorite_id" => $favorite_id,
"first_name" => $first_name,
"user_id" => $user_id,
"product_id" => $product_id
        );
 
        array_push($favorites_arr["records"], $favorites_item);
    }
    http_response_code(200);
	echo json_encode(array("status" => "success", "code" => 1,"message"=> "favorites found","document"=> $favorites_arr));
    
}else{
    http_response_code(404);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "No favorites found.","document"=> ""));
}
 


