<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/gallery.php';
include_once '../token/validatetoken.php';
$database = new Database();
$db = $database->getConnection();

$gallery = new Gallery($db);

$data = json_decode(file_get_contents("php://input"));
$orAnd = isset($_GET['orAnd']) ? $_GET['orAnd'] : "OR";

$gallery->pageNo = isset($_GET['pageno']) ? $_GET['pageno'] : 1;
$gallery->no_of_records_per_page = isset($_GET['pagesize']) ? $_GET['pagesize'] : 30;

$stmt = $gallery->searchByColumn($data,$orAnd);

$num = $stmt->rowCount();
if($num>0){
    $gallery_arr=array();
	$gallery_arr["pageno"]=$gallery->pageNo;
	$gallery_arr["pagesize"]=$gallery->no_of_records_per_page;
    $gallery_arr["total_count"]=$gallery->search_record_count($data,$orAnd);
    $gallery_arr["records"]=array();
    
    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
        extract($row);
 
        $gallery_item=array(
            
"gallery_id" => $gallery_id,
"influencer_id" => $influencer_id,
"image" => $image,
"added_date" => $added_date,
"status" => $status
        );
 
        array_push($gallery_arr["records"], $gallery_item);
    }
    http_response_code(200);
	echo json_encode(array("status" => "success", "code" => 1,"message"=> "gallery found","document"=> $gallery_arr));
    
}else{
    http_response_code(404);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "No gallery found.","document"=> ""));
}
 


