<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/gallery.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();

$gallery = new Gallery($db);

$data = json_decode(file_get_contents("php://input"));
$gallery->gallery_id = $data->gallery_id;

if(!isEmpty($data->influencer_id)
&&!isEmpty($data->image)
&&!isEmpty($data->added_date)
&&!isEmpty($data->status)){

if(!isEmpty($data->influencer_id)) { 
$gallery->influencer_id = $data->influencer_id;
} else { 
$gallery->influencer_id = '';
}
if(!isEmpty($data->image)) { 
$gallery->image = $data->image;
} else { 
$gallery->image = '';
}
if(!isEmpty($data->added_date)) { 
$gallery->added_date = $data->added_date;
} else { 
$gallery->added_date = 'current_timestamp()';
}
if(!isEmpty($data->status)) { 
$gallery->status = $data->status;
} else { 
$gallery->status = '';
}
if($gallery->update()){
    http_response_code(200);
	echo json_encode(array("status" => "success", "code" => 1,"message"=> "Updated Successfully","document"=> ""));
}
else{
    http_response_code(503);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to update gallery","document"=> ""));
}
}
else{
    http_response_code(400);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to update gallery. Data is incomplete.","document"=> ""));
}
?>
