<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/influencers.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();

$influencers = new Influencers($db);

$data = json_decode(file_get_contents("php://input"));
$influencers->influencer_id = $data->influencer_id;

if(!isEmpty($data->first_name)
&&!isEmpty($data->last_name)
&&!isEmpty($data->description)
&&!isEmpty($data->image)
&&!isEmpty($data->influencer_category_id)
&&!isEmpty($data->status)){

if(!isEmpty($data->first_name)) { 
$influencers->first_name = $data->first_name;
} else { 
$influencers->first_name = '';
}
if(!isEmpty($data->last_name)) { 
$influencers->last_name = $data->last_name;
} else { 
$influencers->last_name = '';
}
if(!isEmpty($data->description)) { 
$influencers->description = $data->description;
} else { 
$influencers->description = '';
}
if(!isEmpty($data->image)) { 
$influencers->image = $data->image;
} else { 
$influencers->image = '';
}
if(!isEmpty($data->influencer_category_id)) { 
$influencers->influencer_category_id = $data->influencer_category_id;
} else { 
$influencers->influencer_category_id = '';
}
if(!isEmpty($data->status)) { 
$influencers->status = $data->status;
} else { 
$influencers->status = '';
}
if($influencers->update()){
    http_response_code(200);
	echo json_encode(array("status" => "success", "code" => 1,"message"=> "Updated Successfully","document"=> ""));
}
else{
    http_response_code(503);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to update influencers","document"=> ""));
}
}
else{
    http_response_code(400);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to update influencers. Data is incomplete.","document"=> ""));
}
?>
