<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/influencers_category.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();

$influencers_category = new Influencers_Category($db);

$searchKey = isset($_GET['key']) ? $_GET['key'] : die();
$influencers_category->pageNo = isset($_GET['pageno']) ? $_GET['pageno'] : 1;
$influencers_category->no_of_records_per_page = isset($_GET['pagesize']) ? $_GET['pagesize'] : 30;

$stmt = $influencers_category->search($searchKey);
$num = $stmt->rowCount();
 
if($num>0){
    $influencers_category_arr=array();
	$influencers_category_arr["pageno"]=$influencers_category->pageNo;
	$influencers_category_arr["pagesize"]=$influencers_category->no_of_records_per_page;
    $influencers_category_arr["total_count"]=$influencers_category->search_count($searchKey);
    $influencers_category_arr["records"]=array();
    
    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
        extract($row);
        $influencers_category_item=array(
            
"influencer_category_id" => $influencer_category_id,
"category_name" => $category_name,
"status" => $status
        );
        array_push($influencers_category_arr["records"], $influencers_category_item);
    }
    http_response_code(200);
	echo json_encode(array("status" => "success", "code" => 1,"message"=> "influencers_category found","document"=> $influencers_category_arr));
}else{
    http_response_code(404);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "No influencers_category found.","document"=> ""));
}
 


