<?php
include_once '../config/header.php';
include_once '../config/database.php';
include_once '../objects/influencers_products.php';
include_once '../token/validatetoken.php';
$database = new Database();
$db = $database->getConnection();
 
$influencers_products = new Influencers_Products($db);

$influencers_products->pageNo = isset($_GET['pageno']) ? $_GET['pageno'] : 1;
$influencers_products->no_of_records_per_page = isset($_GET['pagesize']) ? $_GET['pagesize'] : 30;

$stmt = $influencers_products->read();
$num = $stmt->rowCount();
if($num>0){
    $influencers_products_arr=array();
	$influencers_products_arr["pageno"]=$influencers_products->pageNo;
	$influencers_products_arr["pagesize"]=$influencers_products->no_of_records_per_page;
    $influencers_products_arr["total_count"]=$influencers_products->total_record_count();
    $influencers_products_arr["records"]=array();
    
    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
        extract($row);
 
        $influencers_products_item=array(
            
"influencer_product_id" => $influencer_product_id,
"influencer_id" => $influencer_id,
"product_id" => $product_id,
"product_stock" => $product_stock,
"status" => $status
        );
         array_push($influencers_products_arr["records"], $influencers_products_item);
    }
    http_response_code(200);
	echo json_encode(array("status" => "success", "code" => 1,"message"=> "influencers_products found","document"=> $influencers_products_arr));
}else{
    http_response_code(404);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "No influencers_products found.","document"=> ""));
}
 


