<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/influencers_products.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();

$influencers_products = new Influencers_Products($db);

$influencers_products->influencer_product_id = isset($_GET['id']) ? $_GET['id'] : die();
$influencers_products->readOne();
 
if($influencers_products->influencer_product_id!=null){
    $influencers_products_arr = array(
        
"influencer_product_id" => $influencers_products->influencer_product_id,
"influencer_id" => $influencers_products->influencer_id,
"product_id" => $influencers_products->product_id,
"product_stock" => $influencers_products->product_stock,
"status" => $influencers_products->status
    );
    http_response_code(200);
   echo json_encode(array("status" => "success", "code" => 1,"message"=> "influencers_products found","document"=> $influencers_products_arr));
}
else{
    http_response_code(404);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "influencers_products does not exist.","document"=> ""));
}
?>
