<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/influencers_products.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();
$influencers_products = new Influencers_Products($db);
$data = json_decode(file_get_contents("php://input"));

$influencers_products->influencer_product_id = $data->influencer_product_id;

if(!isEmpty($influencers_products->influencer_product_id)){
 
if($influencers_products->update_patch($data)){
    http_response_code(200);
	echo json_encode(array("status" => "success", "code" => 1,"message"=> "Updated Successfully","document"=> ""));
}
else{
    http_response_code(503);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to update influencers_products","document"=> ""));
    }
}
else{
    http_response_code(400);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to update influencers_products. Data is incomplete.","document"=> ""));
}
?>
