<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/notifications.php';
include_once '../token/validatetoken.php';
$database = new Database();
$db = $database->getConnection();

$notifications = new Notifications($db);

$data = json_decode(file_get_contents("php://input"));
$orAnd = isset($_GET['orAnd']) ? $_GET['orAnd'] : "OR";

$notifications->pageNo = isset($_GET['pageno']) ? $_GET['pageno'] : 1;
$notifications->no_of_records_per_page = isset($_GET['pagesize']) ? $_GET['pagesize'] : 30;

$stmt = $notifications->searchByColumn($data,$orAnd);

$num = $stmt->rowCount();
if($num>0){
    $notifications_arr=array();
	$notifications_arr["pageno"]=$notifications->pageNo;
	$notifications_arr["pagesize"]=$notifications->no_of_records_per_page;
    $notifications_arr["total_count"]=$notifications->search_record_count($data,$orAnd);
    $notifications_arr["records"]=array();
    
    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
        extract($row);
 
        $notifications_item=array(
            
"notification_id" => $notification_id,
"user_id" => $user_id,
"tokens" => $tokens,
"notification_title" => $notification_title,
"notification_body" => $notification_body,
"created_at" => $created_at
        );
 
        array_push($notifications_arr["records"], $notifications_item);
    }
    http_response_code(200);
	echo json_encode(array("status" => "success", "code" => 1,"message"=> "notifications found","document"=> $notifications_arr));
    
}else{
    http_response_code(404);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "No notifications found.","document"=> ""));
}
 


