<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/order_details.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();
 
$order_details = new Order_Details($db);
$data = json_decode(file_get_contents("php://input"));

if(!isEmpty($data->order_id)
&&!isEmpty($data->product_id)
&&!isEmpty($data->quantity)
&&!isEmpty($data->unit_price)){
	
    
if(!isEmpty($data->order_id)) { 
$order_details->order_id = $data->order_id;
} else { 
$order_details->order_id = '';
}
if(!isEmpty($data->product_id)) { 
$order_details->product_id = $data->product_id;
} else { 
$order_details->product_id = '';
}
if(!isEmpty($data->quantity)) { 
$order_details->quantity = $data->quantity;
} else { 
$order_details->quantity = '';
}
if(!isEmpty($data->unit_price)) { 
$order_details->unit_price = $data->unit_price;
} else { 
$order_details->unit_price = '';
}
 	$lastInsertedId=$order_details->create();
    if($lastInsertedId!=0){
        http_response_code(201);
        echo json_encode(array("status" => "success", "code" => 1,"message"=> "Created Successfully","document"=> $lastInsertedId));
    }
    else{
        http_response_code(503);
		echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to create order_details","document"=> ""));
    }
}
else{
    http_response_code(400);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to create order_details. Data is incomplete.","document"=> ""));
}
?>
