<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/orders.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();

$orders = new Orders($db);

$orders->order_id = isset($_GET['id']) ? $_GET['id'] : die();
$orders->readOne();
 
if($orders->order_id!=null){
    $orders_arr = array(
        
"order_id" => $orders->order_id,
"user_id" => $orders->user_id,
"order_type" => $orders->order_type,
"order_date" => $orders->order_date,
"shipping_date" => $orders->shipping_date,
"order_status" => $orders->order_status,
"total_price" => $orders->total_price,
"payment_type" => $orders->payment_type,
"address_id" => $orders->address_id
    );
    http_response_code(200);
   echo json_encode(array("status" => "success", "code" => 1,"message"=> "orders found","document"=> $orders_arr));
}
else{
    http_response_code(404);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "orders does not exist.","document"=> ""));
}
?>
