<?php
include_once '../config/header.php';
include_once '../config/database.php';
include_once '../objects/pets.php';
include_once '../token/validatetoken.php';
$database = new Database();
$db = $database->getConnection();
 
$pets = new Pets($db);

$pets->pageNo = isset($_GET['pageno']) ? $_GET['pageno'] : 1;
$pets->no_of_records_per_page = isset($_GET['pagesize']) ? $_GET['pagesize'] : 30;

$stmt = $pets->read();
$num = $stmt->rowCount();
if($num>0){
    $pets_arr=array();
	$pets_arr["pageno"]=$pets->pageNo;
	$pets_arr["pagesize"]=$pets->no_of_records_per_page;
    $pets_arr["total_count"]=$pets->total_record_count();
    $pets_arr["records"]=array();
    
    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
        extract($row);
 
        $pets_item=array(
            
"pet_id" => $pet_id,
"user_id" => $user_id,
"pet_name" => $pet_name,
"breed_id" => $breed_id,
"pet_details" => $pet_details,
"is_selected" => $is_selected
        );
         array_push($pets_arr["records"], $pets_item);
    }
    http_response_code(200);
	echo json_encode(array("status" => "success", "code" => 1,"message"=> "pets found","document"=> $pets_arr));
}else{
    http_response_code(404);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "No pets found.","document"=> ""));
}
 


