<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/pets.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();

$pets = new Pets($db);

$pets->pet_id = isset($_GET['id']) ? $_GET['id'] : die();
$pets->readOne();
 
if($pets->pet_id!=null){
    $pets_arr = array(
        
"pet_id" => $pets->pet_id,
"user_id" => $pets->user_id,
"pet_name" => $pets->pet_name,
"breed_id" => $pets->breed_id,
"pet_details" => $pets->pet_details,
"is_selected" => $pets->is_selected
    );
    http_response_code(200);
   echo json_encode(array("status" => "success", "code" => 1,"message"=> "pets found","document"=> $pets_arr));
}
else{
    http_response_code(404);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "pets does not exist.","document"=> ""));
}
?>
