<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/pets.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();

$pets = new Pets($db);

$data = json_decode(file_get_contents("php://input"));
$pets->pet_id = $data->pet_id;

if(!isEmpty($data->user_id)
&&!isEmpty($data->pet_name)
&&!isEmpty($data->breed_id)
&&!isEmpty($data->pet_details)
&&!isEmpty($data->is_selected)){

if(!isEmpty($data->user_id)) { 
$pets->user_id = $data->user_id;
} else { 
$pets->user_id = '';
}
if(!isEmpty($data->pet_name)) { 
$pets->pet_name = $data->pet_name;
} else { 
$pets->pet_name = '';
}
if(!isEmpty($data->breed_id)) { 
$pets->breed_id = $data->breed_id;
} else { 
$pets->breed_id = '';
}
if(!isEmpty($data->pet_details)) { 
$pets->pet_details = $data->pet_details;
} else { 
$pets->pet_details = '';
}
if(!isEmpty($data->is_selected)) { 
$pets->is_selected = $data->is_selected;
} else { 
$pets->is_selected = '0';
}
if($pets->update()){
    http_response_code(200);
	echo json_encode(array("status" => "success", "code" => 1,"message"=> "Updated Successfully","document"=> ""));
}
else{
    http_response_code(503);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to update pets","document"=> ""));
}
}
else{
    http_response_code(400);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to update pets. Data is incomplete.","document"=> ""));
}
?>
