<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/products.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();
 
$products = new Products($db);
$data = json_decode(file_get_contents("php://input"));

if(!isEmpty($data->sub_category_id)
&&!isEmpty($data->product_name)
&&!isEmpty($data->description)
&&!isEmpty($data->price)
&&!isEmpty($data->image)
&&!isEmpty($data->stock)
&&!isEmpty($data->status)){
	
    
if(!isEmpty($data->sub_category_id)) { 
$products->sub_category_id = $data->sub_category_id;
} else { 
$products->sub_category_id = '';
}
if(!isEmpty($data->product_name)) { 
$products->product_name = $data->product_name;
} else { 
$products->product_name = '';
}
if(!isEmpty($data->description)) { 
$products->description = $data->description;
} else { 
$products->description = '';
}
if(!isEmpty($data->price)) { 
$products->price = $data->price;
} else { 
$products->price = '';
}
if(!isEmpty($data->image)) { 
$products->image = $data->image;
} else { 
$products->image = '';
}
if(!isEmpty($data->stock)) { 
$products->stock = $data->stock;
} else { 
$products->stock = '';
}
if(!isEmpty($data->status)) { 
$products->status = $data->status;
} else { 
$products->status = '';
}
 	$lastInsertedId=$products->create();
    if($lastInsertedId!=0){
        http_response_code(201);
        echo json_encode(array("status" => "success", "code" => 1,"message"=> "Created Successfully","document"=> $lastInsertedId));
    }
    else{
        http_response_code(503);
		echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to create products","document"=> ""));
    }
}
else{
    http_response_code(400);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to create products. Data is incomplete.","document"=> ""));
}
?>
