<?php
include_once '../config/header.php';
include_once '../config/database.php';
include_once '../objects/products.php';
include_once '../token/validatetoken.php';
$database = new Database();
$db = $database->getConnection();
 
$products = new Products($db);

$products->pageNo = isset($_GET['pageno']) ? $_GET['pageno'] : 1;
$products->no_of_records_per_page = isset($_GET['pagesize']) ? $_GET['pagesize'] : 30;

$stmt = $products->read();
$num = $stmt->rowCount();
if($num>0){
    $products_arr=array();
	$products_arr["pageno"]=$products->pageNo;
	$products_arr["pagesize"]=$products->no_of_records_per_page;
    $products_arr["total_count"]=$products->total_record_count();
    $products_arr["records"]=array();
    
    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
        extract($row);
 
        $products_item=array(
            
"product_id" => $product_id,
"sub_category_id" => $sub_category_id,
"product_name" => $product_name,
"description" => $description,
"price" => $price,
"image" => $image,
"stock" => $stock,
"status" => $status
        );
         array_push($products_arr["records"], $products_item);
    }
    http_response_code(200);
	echo json_encode(array("status" => "success", "code" => 1,"message"=> "products found","document"=> $products_arr));
}else{
    http_response_code(404);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "No products found.","document"=> ""));
}
 


