<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/services.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();
 
$services = new Services($db);
$data = json_decode(file_get_contents("php://input"));

if(!isEmpty($data->sub_category_id)
&&!isEmpty($data->service_name)
&&!isEmpty($data->description)
&&!isEmpty($data->price)
&&!isEmpty($data->image)
&&!isEmpty($data->isService)
&&!isEmpty($data->service_duration)
&&!isEmpty($data->stock)
&&!isEmpty($data->status)){
	
    
if(!isEmpty($data->sub_category_id)) { 
$services->sub_category_id = $data->sub_category_id;
} else { 
$services->sub_category_id = '';
}
if(!isEmpty($data->service_name)) { 
$services->service_name = $data->service_name;
} else { 
$services->service_name = '';
}
if(!isEmpty($data->description)) { 
$services->description = $data->description;
} else { 
$services->description = '';
}
if(!isEmpty($data->price)) { 
$services->price = $data->price;
} else { 
$services->price = '';
}
if(!isEmpty($data->image)) { 
$services->image = $data->image;
} else { 
$services->image = '';
}
if(!isEmpty($data->isService)) { 
$services->isService = $data->isService;
} else { 
$services->isService = '0';
}
if(!isEmpty($data->service_duration)) { 
$services->service_duration = $data->service_duration;
} else { 
$services->service_duration = '2';
}
$services->start_service_time = $data->start_service_time;
$services->last_service_time = $data->last_service_time;
$services->current_service_time = $data->current_service_time;
if(!isEmpty($data->stock)) { 
$services->stock = $data->stock;
} else { 
$services->stock = '313';
}
if(!isEmpty($data->status)) { 
$services->status = $data->status;
} else { 
$services->status = 'active';
}
$services->date_deleted = $data->date_deleted;
 	$lastInsertedId=$services->create();
    if($lastInsertedId!=0){
        http_response_code(201);
        echo json_encode(array("status" => "success", "code" => 1,"message"=> "Created Successfully","document"=> $lastInsertedId));
    }
    else{
        http_response_code(503);
		echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to create services","document"=> ""));
    }
}
else{
    http_response_code(400);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to create services. Data is incomplete.","document"=> ""));
}
?>
