<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/services.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();

$services = new Services($db);

$services->service_id = isset($_GET['id']) ? $_GET['id'] : die();
$services->readOne();
 
if($services->service_id!=null){
    $services_arr = array(
        
"service_id" => $services->service_id,
"category_name" => $services->category_name,
"sub_category_id" => $services->sub_category_id,
"service_name" => $services->service_name,
"description" => $services->description,
"price" => $services->price,
"image" => $services->image,
"isService" => $services->isService,
"service_duration" => $services->service_duration,
"start_service_time" => $services->start_service_time,
"last_service_time" => $services->last_service_time,
"current_service_time" => $services->current_service_time,
"stock" => $services->stock,
"status" => $services->status,
"date_deleted" => $services->date_deleted
    );
    http_response_code(200);
   echo json_encode(array("status" => "success", "code" => 1,"message"=> "services found","document"=> $services_arr));
}
else{
    http_response_code(404);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "services does not exist.","document"=> ""));
}
?>
