<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/sub_category.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();
 
$sub_category = new Sub_Category($db);
$data = json_decode(file_get_contents("php://input"));

if(!isEmpty($data->category_id)
&&!isEmpty($data->category_name)){
	
    
if(!isEmpty($data->category_id)) { 
$sub_category->category_id = $data->category_id;
} else { 
$sub_category->category_id = '';
}
if(!isEmpty($data->category_name)) { 
$sub_category->category_name = $data->category_name;
} else { 
$sub_category->category_name = '';
}
 	$lastInsertedId=$sub_category->create();
    if($lastInsertedId!=0){
        http_response_code(201);
        echo json_encode(array("status" => "success", "code" => 1,"message"=> "Created Successfully","document"=> $lastInsertedId));
    }
    else{
        http_response_code(503);
		echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to create sub_category","document"=> ""));
    }
}
else{
    http_response_code(400);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to create sub_category. Data is incomplete.","document"=> ""));
}
?>
