<?php
include_once '../config/header.php';
include_once '../config/database.php';
include_once '../objects/sub_category.php';
include_once '../token/validatetoken.php';
$database = new Database();
$db = $database->getConnection();
 
$sub_category = new Sub_Category($db);

$sub_category->pageNo = isset($_GET['pageno']) ? $_GET['pageno'] : 1;
$sub_category->no_of_records_per_page = isset($_GET['pagesize']) ? $_GET['pagesize'] : 30;

$stmt = $sub_category->read();
$num = $stmt->rowCount();
if($num>0){
    $sub_category_arr=array();
	$sub_category_arr["pageno"]=$sub_category->pageNo;
	$sub_category_arr["pagesize"]=$sub_category->no_of_records_per_page;
    $sub_category_arr["total_count"]=$sub_category->total_record_count();
    $sub_category_arr["records"]=array();
    
    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
        extract($row);
 
        $sub_category_item=array(
            
"sub_category_id" => $sub_category_id,
"icon" => $icon,
"category_id" => $category_id,
"category_name" => $category_name
        );
         array_push($sub_category_arr["records"], $sub_category_item);
    }
    http_response_code(200);
	echo json_encode(array("status" => "success", "code" => 1,"message"=> "sub_category found","document"=> $sub_category_arr));
}else{
    http_response_code(404);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "No sub_category found.","document"=> ""));
}
 


