<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/users.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();
 
$users = new Users($db);
$data = json_decode(file_get_contents("php://input"));

if(!isEmpty($data->first_name)
&&!isEmpty($data->last_name)
&&!isEmpty($data->email)
&&!isEmpty($data->region_number)
&&!isEmpty($data->password)
&&!isEmpty($data->date_of_birth)
&&!isEmpty($data->registered_date)
&&!isEmpty($data->user_status)
&&!isEmpty($data->user_type)){
	
    
if(!isEmpty($data->first_name)) { 
$users->first_name = $data->first_name;
} else { 
$users->first_name = '';
}
if(!isEmpty($data->last_name)) { 
$users->last_name = $data->last_name;
} else { 
$users->last_name = '';
}
if(!isEmpty($data->email)) { 
$users->email = $data->email;
} else { 
$users->email = '';
}
if(!isEmpty($data->region_number)) { 
$users->region_number = $data->region_number;
} else { 
$users->region_number = '';
}
if(!isEmpty($data->password)) { 
$users->password = $data->password;
} else { 
$users->password = '';
}
if(!isEmpty($data->date_of_birth)) { 
$users->date_of_birth = $data->date_of_birth;
} else { 
$users->date_of_birth = '';
}
if(!isEmpty($data->registered_date)) { 
$users->registered_date = $data->registered_date;
} else { 
$users->registered_date = 'current_timestamp()';
}
if(!isEmpty($data->user_status)) { 
$users->user_status = $data->user_status;
} else { 
$users->user_status = '';
}
if(!isEmpty($data->user_type)) { 
$users->user_type = $data->user_type;
} else { 
$users->user_type = '';
}
 	$lastInsertedId=$users->create();
    if($lastInsertedId!=0){
        http_response_code(201);
        echo json_encode(array("status" => "success", "code" => 1,"message"=> "Created Successfully","document"=> $lastInsertedId));
    }
    else{
        http_response_code(503);
		echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to create users","document"=> ""));
    }
}
else{
    http_response_code(400);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to create users. Data is incomplete.","document"=> ""));
}
?>
