<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/users.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();

$users = new Users($db);

$searchKey = isset($_GET['key']) ? $_GET['key'] : die();
$users->pageNo = isset($_GET['pageno']) ? $_GET['pageno'] : 1;
$users->no_of_records_per_page = isset($_GET['pagesize']) ? $_GET['pagesize'] : 30;

$stmt = $users->search($searchKey);
$num = $stmt->rowCount();
 
if($num>0){
    $users_arr=array();
	$users_arr["pageno"]=$users->pageNo;
	$users_arr["pagesize"]=$users->no_of_records_per_page;
    $users_arr["total_count"]=$users->search_count($searchKey);
    $users_arr["records"]=array();
    
    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
        extract($row);
        $users_item=array(
            
"user_id" => $user_id,
"first_name" => $first_name,
"last_name" => $last_name,
"email" => $email,
"region_number" => $region_number,
"password" => $password,
"date_of_birth" => $date_of_birth,
"registered_date" => $registered_date,
"user_status" => $user_status,
"user_type" => $user_type
        );
        array_push($users_arr["records"], $users_item);
    }
    http_response_code(200);
	echo json_encode(array("status" => "success", "code" => 1,"message"=> "users found","document"=> $users_arr));
}else{
    http_response_code(404);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "No users found.","document"=> ""));
}
 


