<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/users_device_token.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();

$users_device_token = new Users_Device_Token($db);

$data = json_decode(file_get_contents("php://input"));
$users_device_token->user_device_token_id = $data->user_device_token_id;

if(!isEmpty($data->user_id)
&&!isEmpty($data->device_token)
&&!isEmpty($data->device_platform)
&&!isEmpty($data->created_at)){

if(!isEmpty($data->user_id)) { 
$users_device_token->user_id = $data->user_id;
} else { 
$users_device_token->user_id = '';
}
if(!isEmpty($data->device_token)) { 
$users_device_token->device_token = $data->device_token;
} else { 
$users_device_token->device_token = '';
}
if(!isEmpty($data->device_platform)) { 
$users_device_token->device_platform = $data->device_platform;
} else { 
$users_device_token->device_platform = '';
}
if(!isEmpty($data->created_at)) { 
$users_device_token->created_at = $data->created_at;
} else { 
$users_device_token->created_at = 'current_timestamp()';
}
if($users_device_token->update()){
    http_response_code(200);
	echo json_encode(array("status" => "success", "code" => 1,"message"=> "Updated Successfully","document"=> ""));
}
else{
    http_response_code(503);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to update users_device_token","document"=> ""));
}
}
else{
    http_response_code(400);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to update users_device_token. Data is incomplete.","document"=> ""));
}
?>
